Bug 105942 - amanda-server/client Makefile if-defines / variables of GNUTAR/DUMP_SNAPSHOT wrong
Summary: amanda-server/client Makefile if-defines / variables of GNUTAR/DUMP_SNAPSHOT ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jun Kuriyama
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-28 10:20 UTC by Andy Hilker
Modified: 2013-03-17 04:28 UTC (History)
0 users

See Also:


Attachments
Makefile.patch (648 bytes, patch)
2006-11-28 10:20 UTC, Andy Hilker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Hilker 2006-11-28 10:20:08 UTC
1. WITH_GNUTAR:
make config defaults to on, but the if defined test is wrong, according to:
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html (5.11.2.2 Syntax).

2. WITH_DUMP_SNAPSHOT:
The make config variable names WITH_DUMP_SNAPSHOT but the if defined tests WITH_AMANDA_DUMP_SNAPSHOT.

Fix: see attached patch for ports/misc/amanda-server/Makefile
How-To-Repeat: Look at the Makefile and compare the attached patch.
Comment 1 Edwin Groothuis freebsd_committer 2006-11-28 10:38:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer
Comment 2 dfilter service freebsd_committer 2006-11-29 01:05:30 UTC
kuriyama    2006-11-29 01:05:24 UTC

  FreeBSD ports repository

  Modified files:
    misc/amanda-server   Makefile distinfo 
    misc/amanda-server/files patch-amanda.conf.5 
  Added files:
    misc/amanda-server/files patch-restore.c 
  Log:
  - Upgrade to 2.5.1p2.
  - Add a patch to fix amfetchdump to dump core [1].
  - Fix GNUTAR, DUMP_SNAPSHOT options handling [2].
  
  Submitted by:   Andy Hilker <ah@cryptobank.de> [1][2]
  PR:             ports/105635 [1], ports/105942 [2]
  
  Revision  Changes    Path
  1.94      +3 -3      ports/misc/amanda-server/Makefile
  1.28      +3 -3      ports/misc/amanda-server/distinfo
  1.2       +8 -8      ports/misc/amanda-server/files/patch-amanda.conf.5
  1.1       +18 -0     ports/misc/amanda-server/files/patch-restore.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Jun Kuriyama freebsd_committer 2006-11-29 01:05:55 UTC
State Changed
From-To: open->closed

Committed, thanks!